Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class PortletContextFactory

    java.lang.Object
      org.jboss.portal.core.controller.portlet.PortletContextFactory

    public class PortletContextFactory

extends java.lang.Object

Version:
  $Revision: 10307 $
Author:
  Julien Viet

Constructor Summary
`PortletContextFactory(ControllerContext controllerContext)`
`PortletContextFactory(ControllerContext controllerContext, Portal portal, Window window)`

Method Summary
`org.jboss.portal.portlet.spi.ClientContext` | `createClientContext()`
`org.jboss.portal.portlet.spi.PortalContext` | `createPortalContext()`
`org.jboss.portal.portlet.spi.RequestContext` | `createRequestContext()`
`org.jboss.portal.portlet.spi.SecurityContext` | `createSecurityContext()`
`org.jboss.portal.portlet.spi.ServerContext` | `createServerContext()`
`org.jboss.portal.portlet.spi.UserContext` | `createUserContext()`
`org.jboss.portal.portlet.spi.WindowContext` | `createWindowContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletContextFactory

    public PortletContextFactory(ControllerContext controllerContext,
                                 Portal portal,
                                 Window window)

### PortletContextFactory

    public PortletContextFactory(ControllerContext controllerContext)

Method Detail

### createPortalContext

    public org.jboss.portal.portlet.spi.PortalContext createPortalContext()

### createRequestContext

    public org.jboss.portal.portlet.spi.RequestContext createRequestContext()

### createSecurityContext

    public org.jboss.portal.portlet.spi.SecurityContext createSecurityContext()

### createUserContext

    public org.jboss.portal.portlet.spi.UserContext createUserContext()

### createWindowContext

    public org.jboss.portal.portlet.spi.WindowContext createWindowContext()

### createServerContext

    public org.jboss.portal.portlet.spi.ServerContext createServerContext()

### createClientContext

    public org.jboss.portal.portlet.spi.ClientContext createClientContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD